import { Intensity, Scalar } from '@musical-patterns/utilities';
import { ComputeIntensityParameters } from './types';
declare const computeRandomDropIntensity: (parameters: {
    fadingIntensity: Scalar<Intensity>;
    randomizingFunction: (within?: number) => number;
}) => Scalar<Intensity>;
declare const computeIntensity: (parameters: ComputeIntensityParameters) => Scalar<Intensity>;
export { computeIntensity, computeRandomDropIntensity, };
