import { Block, Cardinal, Cycle } from '@musical-patterns/utilities';
import { Layer } from '../../../nominals';
import { HafuhafuMode } from '../../../spec';
import { Sieve, SieveFractalRepetitions } from '../../../types';
declare const computeKernelCycle: (parameters: {
    layerCount: Cardinal<Layer[]>;
    mode: HafuhafuMode;
    reverse: boolean;
    sieve: Sieve;
    sieveFractalRepetitions: SieveFractalRepetitions;
    sourceKernel: Block;
}) => Cycle<Block>;
export { computeKernelCycle, };
