import { PitchValueIntensityEnvelopeScale } from '@musical-patterns/material';
import { Block, Cardinal, ContourElement, NormalScalar, Ordinal } from '@musical-patterns/utilities';
import { Layer } from '../../../nominals';
import { ExistenceStyle, HafuhafuMode } from '../../../spec';
import { LayerIndex, Sieve } from '../../../types';
declare const computeElement: (parameters: {
    existenceStyle: ExistenceStyle;
    iterationIndex: Ordinal<Block>;
    iterationKernel: Block;
    layerCount: Cardinal<Layer[]>;
    layerIndices: LayerIndex[];
    layersProgresses: NormalScalar[][];
    mode: HafuhafuMode;
    reverse: boolean;
    sieve: Sieve;
    stretchPitch: boolean;
    totalIndices: Cardinal<LayerIndex[]>;
}) => ContourElement<PitchValueIntensityEnvelopeScale>;
export { computeElement, };
