import { Block, Cardinal, NormalScalar, Ordinal, Pitch, Scalar } from '@musical-patterns/utilities';
import { Layer } from '../../../nominals';
import { HafuhafuMode } from '../../../spec';
import { Sieve } from '../../../types';
declare const computePitchIndex: (parameters: {
    iterationIndex: Ordinal<Block>;
    iterationKernel: Block;
}) => Ordinal<Array<Scalar<Pitch>>>;
declare const computePitchScalar: (parameters: {
    layerCount: Cardinal<Layer[]>;
    layerProgress: NormalScalar;
    mode: HafuhafuMode;
    sieve: Sieve;
    stretchPitch: boolean;
}) => Scalar<Pitch>;
export { computePitchIndex, computePitchScalar, };
