import { Block, Cardinal, NormalScalar, Ordinal, Scalar, Value } from '@musical-patterns/utilities';
import { Layer } from '../../../nominals';
import { HafuhafuMode } from '../../../spec';
import { LayerIndex, Sieve } from '../../../types';
declare const computeElementProgress: (parameters: {
    iterationIndex: Ordinal<Block>;
    reverse: boolean;
    totalIndices: Cardinal<LayerIndex[]>;
}) => NormalScalar;
declare const computeValue: (parameters: {
    iterationIndex: Ordinal<Block>;
    layerCount: Cardinal<Layer[]>;
    mode: HafuhafuMode;
    reverse: boolean;
    sieve: Sieve;
    totalIndices: Cardinal<LayerIndex[]>;
}) => Scalar<Value>;
export { computeValue, computeElementProgress, };
