import { Cardinal, NormalScalar } from '@musical-patterns/utilities';
import { Layer } from '../../../nominals';
import { HafuhafuMode } from '../../../spec';
import { LayerIndex } from '../../../types';
declare const computeLayerBegin: (parameters: {
    layerCount: Cardinal<Layer[]>;
    layerIndex: LayerIndex;
    mode: HafuhafuMode;
}) => NormalScalar;
declare const computeLayerEnd: (parameters: {
    layerCount: Cardinal<Layer[]>;
    layerIndex: LayerIndex;
    mode: HafuhafuMode;
}) => NormalScalar;
export { computeLayerBegin, computeLayerEnd, };
