import { Cardinal, NormalScalar } from '@musical-patterns/utilities';
import { Layer } from '../../../nominals';
import { HafuhafuMode } from '../../../spec';
import { LayerIndex, Sieve } from '../../../types';
declare const computeLayersProgresses: (parameters: {
    layerCount: Cardinal<Layer[]>;
    mode: HafuhafuMode;
    reverse: boolean;
    sieve: Sieve;
    totalIndices: Cardinal<LayerIndex[]>;
}) => NormalScalar[][];
export { computeLayersProgresses, };
