import { Cardinal, Scalar, Value } from '@musical-patterns/utilities';
import { Layer } from '../../../nominals';
import { HafuhafuMode } from '../../../spec';
import { LayerIndex, Sieve } from '../../../types';
declare const computeTotalValue: (parameters: {
    layerCount: Cardinal<Layer[]>;
    mode: HafuhafuMode;
    reverse: boolean;
    sieve: Sieve;
    totalIndices: Cardinal<LayerIndex[]>;
}) => Scalar<Value>;
export { computeTotalValue, };
