import { Block, Cardinal, NormalScalar, Ordinal, Scalar, Value } from '@musical-patterns/utilities';
import { Layer } from '../../../nominals';
import { HafuhafuMode } from '../../../spec';
import { LayerIndex, Sieve } from '../../../types';
declare const computeValueProgress: (parameters: {
    iterationIndex: Ordinal<Block>;
    layerCount: Cardinal<Layer[]>;
    mode: HafuhafuMode;
    reverse: boolean;
    sieve: Sieve;
    totalIndices: Cardinal<LayerIndex[]>;
    totalValue: Scalar<Value>;
    valueProgress: NormalScalar<NormalScalar>;
}) => NormalScalar<NormalScalar>;
declare const computeValueProgresses: (parameters: {
    layerCount: Cardinal<Layer[]>;
    mode: HafuhafuMode;
    reverse: boolean;
    sieve: Sieve;
    totalIndices: Cardinal<LayerIndex[]>;
    totalValue: Scalar<Value>;
}) => Array<NormalScalar<NormalScalar>>;
export { computeValueProgress, computeValueProgresses, };
